Subject: Best Fitting Algorithms

From: Carlo Nervi <[email-masked]>
Date: Wed, 25 Oct 1995 17:47:55 +0100

Dear netters,
I'm interested in your opinions about various best fitting
algorithms for non-linear optimization. Output of my
program (an electrochemical simulator) is a wave (couple
of calculated points) which must be compared with experimental
data. Actually I'm using a modified Simplex algorithm [1-2],
but I'm afraid that something better could be applied.
The simulation is quite time-consuming, so I should minimize
calls to function. Error evaluation should not require
further call to the function.

Thank you,
	Carlo Nervi

[1] J.A.Nelder, R.Mead, Comput.J., 7 (1965) 308.
[2] P.B.Ryan, R.L.Barr, H.D.Todd, Anal.Chem., 52 (1980) 1460.

----------------------------------------------------------------------------
Carlo Nervi
Dipartimento di Chimica Inorganica, Chimica Fisica e Chimica dei Materiali,
via P. Giuria 7, 10125 Torino, ITALY
phone: (Italy)-11-6707508               |  e-mail: [email-masked]
fax:   (Italy)-11-6707855               |          [email-masked]
                         http://chpc06.ch.unito.it/
----------------------------------------------------------------------------